Bug 188578 - setpgid produces ESRCH for valid child process
setpgid produces ESRCH for valid child process
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 09:46 EDT by Stefan Seefeld
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:12:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log (81.21 KB, application/octet-stream)
2006-04-11 10:06 EDT, Stefan Seefeld
no flags Details

  None (edit)
Description Stefan Seefeld 2006-04-11 09:46:24 EDT
Description of problem:

I'm running a multi-threaded application that forks and
attempts to set the child process' process group. setpgid(pid, pid)
returns -1 with errno set to ESRCH, even though the pid
is valid. Using strace shows some activity from that child process
after the parent called setpgid, and a call to waitpid(pid, WNOHANG)
returns 0, so the child seems to be healthy.

Version-Release number of selected component (if applicable):

I'm running the 2.6.16-1.2080_FC5 kernel
Comment 1 Jakub Jelinek 2006-04-11 09:53:21 EDT
setpgid in glibc is just a wrapper around kernel syscall.
But guess the kernel folks will need a reproduceable testcase, or at least
strace dumps in order to do anything about this bugreport.
Comment 2 Stefan Seefeld 2006-04-11 10:06:59 EDT
Created attachment 127615 [details]
strace log

The log was generated from 'strace -p 3883 -f &> log'.
The suspicious setpgid call happens at line 112. Note
that this is not the main thread.
The child process in question is 3924, which appears
to be alive (it is active at lines 249ff).
Comment 3 Dave Jones 2006-10-16 17:23:32 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 18:12:12 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.